<?php
/**
 * Candles Shop: Block Patterns
 *
 * @since Candles Shop 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Candles Shop 1.0
 *
 * @return void
 */
function candles_shop_register_block_patterns() {
	$candles_shop_block_pattern_categories = array(
		'candles-shop'    => array( 'label' => __( 'Candles Shop', 'candles-shop' ) ),
	);

	$candles_shop_block_pattern_categories = apply_filters( 'candles_shop_block_pattern_categories', $candles_shop_block_pattern_categories );

	foreach ( $candles_shop_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'candles_shop_register_block_patterns', 9 );
